v.label(1)	       Grass User's Manual	       v.label(1)



NNAAMMEE
       vv..llaabbeell	- makes a label-file from a GRASS vector.
       _(_G_R_A_S_S _V_e_c_t_o_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       vv..llaabbeell
       vv..llaabbeell hheellpp
       vv..llaabbeell	map=name  [type=type] text=name label=name [xoff-
       set=value]  [yoffset=value]  [reference=name]  [font=name]
       [size=value]   [color=name]   [width=value]  [hcolor=name]
       [hwidth=value]	    [background=name]	    [border=name]
       [opaque=name] [space=value]

DDEESSCCRRIIPPTTIIOONN
       _v_._l_a_b_e_l	makes  a  label-file  from  a  GRASS vector file.
       Labels are read from text file which contains category and
       label  on  each	row  separated	by space. Example of text
       file:

       1 Kamenice
       2 Cerna Desna
       3 Bila Desna

       In current version only lines are  labeled  and	label  is
       created along line.



PPAARRAAMMEETTEERRSS
       mmaapp    Name of a vector

       tteexxtt   Full path to text file containing labels

       llaabbeell  Name of a paint-label file

       xxooffffsseett
	      Offset label in x-direction

	      default: 0

       yyooffffsseett
	      Offset label in y-direction

	      default: 0

       rreeffeerreennccee
	      Reference position

	      options: center,left,right,upper,lower

	      default: center

       ffoonntt   Font

	      default: standard

       ssiizzee   Label size (in map-units)

	      options: 1-1000

	      default: 100

       ccoolloorr  Text color

	      options:
	      aqua,black,blue,brown,cyan,gray,green,grey,indigo,
	      magenta, orange,purple,red,violet,white,yellow

	      default: black

       wwiiddtthh  Line width of text (only for p.map output)

	      options: 1-100

	      default: 1

       hhccoolloorr Highlight color for text (only for p.map output)

	      options:
	      none,aqua,black,blue,brown,cyan,gray,green,grey,
	      indigo,magenta, orange,purple,red,violet,white,yel-
	      low

	      default: none

       hhwwiiddtthh Line width of highlight color (only for p.map  out-
	      put)

	      options: 0-100

	      default: 0

       bbaacckkggrroouunndd
	      Background color

	      options:
	      none,aqua,black,blue,brown,cyan,gray,green,grey,
	      indigo,magenta, orange,purple,red,violet,white,yel-
	      low

	      default: none

       bboorrddeerr Border color

	      options:
	      none,aqua,black,blue,brown,cyan,gray,green,grey,
	      indigo,magenta, orange,purple,red,violet,white,yel-
	      low

	      default: none

       ooppaaqquuee Opaque to vector (only relevant if background color
	      is selected)

	      options: yes,no

	      default: yes

       ssppaaccee  Space between letters (in map-units)

	      options: 1-100000

	      default: 100


NNOOTTEE
       Rotated labels produced by this module  are  supported  by
       ps.map only.

AAUUTTHHOORR
       Philip Verhagen (original s.label)

       Radim Blazek




GRASS 5.0					       v.label(1)
